X2Go Bug report logs - #263
X2Go Client fails to resume

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Edouard Villeneuve <evilleneuve@pldagroup.com>

Date: Fri, 12 Jul 2013 06:33:02 UTC

Severity: normal

Tags: confirmed, patch, pending

Merged with 206, 302

Found in version 3.5.0.24

Fixed in version 3.5.0.25

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#263; Package not_applicable. (Fri, 12 Jul 2013 06:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edouard Villeneuve <evilleneuve@pldagroup.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Fri, 12 Jul 2013 06:33:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Edouard Villeneuve <evilleneuve@pldagroup.com>
To: submit@bugs.x2go.org
Subject: X2Go Client fails to resume
Date: Fri, 12 Jul 2013 08:22:26 +0200
[Message part 1 (text/plain, inline)]
Package: not_applicable



Hello,



About half of the time, when I run X2Go Client on Windows (4.0.0.3) in a
high-speed LAN environment, the session fails to resume:

·         Displaying details shows that it gets stuck after a few lines of
output (first screenshot)

·         I then typically exit and restart X2Go client and it often works
(but not always)

·         If it still doesn’t, I exit again and restart again… Eventually,
it ends up working (second screenshot)



[image: cid:image001.jpg@01CE7ED4.FD404FE0]



[image: cid:image006.jpg@01CE7ED4.FD404FE0]



Full logs on 2nd screen:



NXPROXY - Version 3.5.0



Copyright (C) 2001, 2010 NoMachine.

See http://www.nomachine.com/ for more information.



Info: Proxy running in client mode with pid '28296'.

Session: Starting session at 'Fri Jul 12 07:50:20 2013'.

Info: Connecting to remote host 'localhost:31051'.

Info: Connection to remote proxy 'localhost:31051' established.

Info: Connection with remote proxy completed.

Warning: Unrecognized session type 'unix-kde-depth_32'. Assuming agent
session.

Warning: Failed to read data from the X auth command.

Warning: Generated a fake cookie for X authentication.

Info: Using ADSL link parameters 512/24/1/0.

Info: Using cache parameters 4/4096KB/8192KB/8192KB.

Info: Using pack method '64k-jpeg-7' with session 'unix-kde-depth_32'.

Info: Using ZLIB data compression 1/1/32.

Info: Using ZLIB stream compression 4/4.

Info: Using cache file
'/cygdrive/C/Users/EVILLE~1.PLD/X2GO~1/cache-unix-kde-depth_32/S-3C19BBB98D4E5CCCADDDDF384B70B5E6'.

Info: Forwarding X11 connections to display 'localhost:0'.

Session: Session started at 'Fri Jul 12 07:50:21 2013'.

Info: Established X server connection.

Info: Using shared memory parameters 0/0K.



Thanks,

- Edouard



Edouard Villeneuve | IS Manager | PLDA Group | Cell : +33 (0) 670 409 549 |
http://www.plda.com/
[Message part 2 (text/html, inline)]
[image001.jpg (image/jpeg, inline)]
[image006.jpg (image/jpeg, inline)]

Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#263; Package not_applicable. (Fri, 19 Jul 2013 16:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 19 Jul 2013 16:03:01 GMT) Full text and rfc822 format available.

Message #10 received at 263@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Edouard Villeneuve <evilleneuve@pldagroup.com>, 263@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: Bug#263: X2Go Client fails to resume
Date: Fri, 19 Jul 2013 18:02:23 +0200
[Message part 1 (text/plain, inline)]
reassign #263 x2goclient
tag #263 moreinfo
thanks

Hi Edouard,

On Fr 12 Jul 2013 08:22:26 CEST Edouard Villeneuve wrote:

> About half of the time, when I run X2Go Client on Windows (4.0.0.3) in a
> high-speed LAN environment, the session fails to resume:
>
> ·         Displaying details shows that it gets stuck after a few lines of
> output (first screenshot)
>
> ·         I then typically exit and restart X2Go client and it often works
> (but not always)
>
> ·         If it still doesn’t, I exit again and restart again… Eventually,
> it ends up working (second screenshot)

Can you give us some more info on this reported issue?

  o Server side distro and version
  o The output of x2goversion (executed on the server from a command line)
  o Are the home directories of the server local or on NFS?
  o Any other setup specific info that may be important to us (chrooted users,
    etc.)

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'not_applicable' to 'x2goclient'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 16:03:02 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 16:03:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#263; Package x2goclient. (Mon, 09 Dec 2013 07:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Williams <jwilliams4200@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 09 Dec 2013 07:48:01 GMT) Full text and rfc822 format available.

Message #19 received at 263@bugs.x2go.org (full text, mbox):

From: John Williams <jwilliams4200@gmail.com>
To: 263@bugs.x2go.org
Subject: Windows x2go-client versions after 3.99.2 frequently hang while trying to resume sessions
Date: Sun, 8 Dec 2013 23:40:37 -0800
I believe I have been experiencing the same bug as reported by Edouard
Villeneuve <evilleneuve@pldagroup.com>

One important piece of information is that the bug does not appear in
x2goclient 3.99.2.1 (3.99.2.2 about box).

The bug appears to have been introduced between 3.99.2.1 and
3.99.3.1-pre1, since all versions from 3.99.3.1-pre1 and later have
the bug. Also, it does NOT appear to be a consequence of the new
pulseaudio version, since the old interims version has the same issue.

Windows client:
3.99.2.1 filename (3.99.2.2 about box): works
3.99.3.1-pre1_interims (old pulseaudio): hangs
4.0.0.3: hangs
4.0.0.3_interims (old pulseaudio): hangs
4.0.1.0-pre02 : hangs
4.0.1.2 : hangs

This was also discussed on the x2go-user email list in a thread
started by Sebastian Flothow sebastian.flothow at gip.com with the
subject "X2Go client 4.0.0 can't resume certain sessions"

http://lists.berlios.de/pipermail/x2go-user/2013-October/001684.html


Here is the addtional information that Mike Gabriel requested about
this bug (note that I am not the original reporter for this bug):

Server distro: Archlinux
arch packages:
x2go-agent 3.5.0.21-1
x2goclient 4.0.1.1-1
x2goserver 4.0.1.8-1

x2goversion:
x2goagent: 3.5.0.21
x2goserver: 4.0.1.6
x2goserver-compat: 4.0.1.6
x2goserver-extensions: 4.0.1.6
x2goserver-fmbindings: 4.0.1.6
x2goserver-printing: 4.0.1.6
x2goserver-pyhoca: 4.0.1.6
x2goserver-xsession: 4.0.1.6

Server home directories are local


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#263; Package x2goclient. (Thu, 12 Dec 2013 22:17:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 22:17:01 GMT) Full text and rfc822 format available.

Message #24 received at 263@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 263@bugs.x2go.org
Subject: Testmail to #263
Date: Thu, 12 Dec 2013 22:15:24 +0000
[Message part 1 (text/plain, inline)]
TEST (as Mails to this bug got lost three days ago...)

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#263; Package x2goclient. (Thu, 12 Dec 2013 22:17:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Williams <jwilliams4200@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 22:17:09 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#263; Package x2goclient. (Fri, 13 Dec 2013 09:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 13 Dec 2013 09:48:02 GMT) Full text and rfc822 format available.

Message #33 received at 263@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 263@bugs.x2go.org
Subject: Untagging moreinfo
Date: Fri, 13 Dec 2013 09:33:55 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 - moreinfo

Untagging the moreinfo tag on request of John Williams who contributed  
more necessary information to track this down.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 263-submit@bugs.x2go.org. (Fri, 13 Dec 2013 09:48:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'x2goclient' to 'x2goserver'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:01 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.16. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.6-0~712~precise1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 206-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 206-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Message sent on to Edouard Villeneuve <evilleneuve@pldagroup.com>:
Bug#263. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Message #54 received at 263-submitter@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 302@bugs.x2go.org
Cc: Borys Saulyak <Borys.Saulyak@eumetsat.int>, 263-submitter@bugs.x2go.org, 206-submitter@bugs.x2go.org
Subject: Scanning for duplicated of #302 (please test)
Date: Sun, 15 Jun 2014 20:45:40 +0000
[Message part 1 (text/plain, inline)]
Control: reassign #263 x2goserver
Control: reassign #206 x2goserver
Control: merge #263 -1
Control: merge #206 -1

From studying our bug tracker reports, I assume that #206 and #263  
are duplicates of #302 which got closed yesterday.

@Borys, and other potential testers: can you please check what has  
been described at [1] and test either X2Go Server from the nightly  
builds or apply this patch [2] on top of x2goserver 4.0.1.15 (or build  
packages from x2goserver.git, branch=release/4.0.1.x). Unfortunately,  
the 302_bugfix script provided at [1] will only work on the X2Go  
Server 4.1.0.0-preview (x2goclient.git, branch=master), but not with  
current stable releases of X2Go Server.

Regards,
Mike

[1] http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=302#35
[2]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f89af5c85fad9b0d2fe71ea26a0e599148c5caa7


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 263-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 263-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.0. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Wed, 25 Jun 2014 14:45:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'x2goserver' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.6-0~712~precise1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.1.0.0 and 4.0.1.16. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.24. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.0.25. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 25 Sep 2014 22:45:23 GMT) Full text and rfc822 format available.

Notification sent to Edouard Villeneuve <evilleneuve@pldagroup.com>:
Bug acknowledged by developer. (Thu, 25 Sep 2014 22:45:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 24 Oct 2014 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Apr 21 04:19:31 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.